Update a smart contract
https://developer.taliware.com/api/v1/cl2c/contract
Complete endpoint URL
put
https://developer.taliware.com/api/v1/cl2c/contractx-api-key<token>
In: header
idstring
status?string
Value in
"CREATED" | "DEPLOYED" | "FAILED"contractAddress?string
deployedAt?string
Format
date-timeResponse Body
curl -X PUT "https://developer.taliware.com/api/v1/cl2c/contract" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"id": "string",
"name": "string",
"symbol": "string",
"description": "string",
"network": "string",
"env": "string",
"status": "CREATED",
"contractAddress": "string",
"deployedAt": "2019-08-24T14:15:22Z",
"metadata": {},
"totalNFTs": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}